<script>
export default {
    props: {
        'inputDateID': String,
        'inputDateName': String,
        'inputDate': String,
        'isCreationDate': Boolean
    },
    emits: ['update:inputDateValue'],
    computed: {
        todayDate() {
            if (this.inputDate) {
                return this.inputDate;
            } else {
                let d = new Date(); return d.toISOString().substring(0, 10);
            }
        }
    },
    async mounted() {
        if (this.inputDate) {
            this.$emit('update:inputDateValue', this.inputDate);
        } else if (this.isCreationDate) {
            this.$emit('update:inputDateValue', this.todayDate);
        } else {
            this.$emit('update:inputDateValue', "0");
        }
    }
}
</script>

<template>

    <template v-if="isCreationDate">
        <input data-toggle="tooltip" data-placement="bottom" title="" :name="inputDateName" :id="inputDateID"
            :value="todayDate" class="form-control"
            @input="$emit('update:inputDateValue', $event.target.value)"
            onchange="checkDate('dateCreation', 'dateCreationComment', 'boutonCreerObjet', 'end_date');"
            required="required"
            data-original-title="Date d'installation de l'objet sur le terrain pour un objet artificiel ou bien 0 dans le cas d'un élément naturel présent depuis une date indéterminée.">
        <div id="dateCreationComment"></div>
    </template>

    <template v-if="!isCreationDate">
        <input data-toggle="tooltip" data-placement="bottom" title="" :name="inputDateName" :id="inputDateID" value="0"
            class="form-control"
            @input="$emit('update:inputDateValue', $event.target.value)"
            onchange="checkDate('end_date', 'end_dateComment', 'boutonCreerObjet', 'dateCreation');" required="required"
            data-original-title="0 si l'objet existe encore (l'objet n'a pas de date de fin). Si l'objet a été supprimé, la date de fin est celle de sa suppression">
        <div id="end_dateComment"></div>
        <div id="end_dateComment2"></div>
    </template>

</template>